namespace HistoryView.Converters;

public class TempConfigSelectorToString : IValueConverter
{
    public object? Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
        if (value is not TempConfigSelector selector)
            return default;

        return selector switch
        {
            TempConfigSelector.Defualt => "Default",
            TempConfigSelector.Saved => "Last Saved",
            TempConfigSelector.Manual => "Minics",
            TempConfigSelector.FurnaceRT => "FurnaceRT",
            TempConfigSelector.PMC_Recipe => "PMC Recipe",
            _ => default,
        };

    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        throw new NotImplementedException();
    }
}
